Package org.apache.avro.reflect

# Class MapEntry<K,V>

java.lang.Object
org.apache.avro.reflect.MapEntry<K,V>

Type Parameters:
  `K` - Key of the map-entry
  `V` - Value of the map-entry

All Implemented Interfaces:
  `Map.Entry<K,V>`

@Deprecated public class MapEntry<K,V> extends Object implements Map.Entry<K,V>
Deprecated.
Use org.apache.avro.util.MapEntry
Class to make Avro immune from the naming variations of key/value fields among several `Map.Entry` implementations. If objects of this class are used instead of the regular ones obtained by `Map.entrySet()`, then we need not worry about the actual field-names or any changes to them in the future.
Example: `ConcurrentHashMap.MapEntry` does not name the fields as key/ value in Java 1.8 while it used to do so in Java 1.7

## Constructor Summary

Constructors
Constructor
Description
`MapEntry(K key, V value)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`K`
`getKey()`
Deprecated.
`V`
`getValue()`
Deprecated.
`V`
`setValue(V value)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Map.Entry

`equals, hashCode`

## Constructor Details

### MapEntry

public MapEntry(K key, V value)
Deprecated.

## Method Details

### getKey

public K getKey()
Deprecated.

Specified by:
  `getKey` in interface `Map.Entry<K,V>`

### getValue

public V getValue()
Deprecated.

Specified by:
  `getValue` in interface `Map.Entry<K,V>`

### setValue

public V setValue(V value)
Deprecated.

Specified by:
  `setValue` in interface `Map.Entry<K,V>`